org.gjt.sp.jedit.bsh

## Interface ConsoleInterface

- All Known Implementing Classes:
    Interpreter

      public interface ConsoleInterface

  The capabilities of a minimal console for BeanShell. Stream I/O and optimized print for output. A simple console may ignore some of these or map them to trivial implementations. e.g. print() with color can be mapped to plain text.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `error(java.lang.Object o)`
    `java.io.PrintStream` | `getErr()`
    `java.io.Reader` | `getIn()`
    `java.io.PrintStream` | `getOut()`
    `void` | `print(java.lang.Object o)`
    `void` | `println(java.lang.Object o)`

- - ### Method Detail

    - #### getIn

          java.io.Reader getIn()

    - #### getOut

          java.io.PrintStream getOut()

    - #### getErr

          java.io.PrintStream getErr()

    - #### println

          void println(java.lang.Object o)

    - #### print

          void print(java.lang.Object o)

    - #### error

          void error(java.lang.Object o)